Subject: Re: [Bugme-new] [Bug 8754] New: Kernel addrconf modifies MTU of non-kernel routes

From: Simon Arlott <[email-masked]>
Date: Sun, 15 Jul 2007 10:29:57 +0100

On 14/07/07 23:09, Andrew Morton wrote:
> On Sat, 14 Jul 2007 14:54:32 -0700 (PDT) [email-masked] wrote:
>> http://bugzilla.kernel.org/show_bug.cgi?id=8754
>> 
>> I have an MTU of 16110 set on eth0 on a network where the MTU is 1500 as set by
>> RAs. One of the other hosts on the network has an MRU/MTU of 7200 so I have a
>> specific route to it with this MTU.
>> 
>> If I add the route early (i.e. on startup) before address autoconfiguration
>> takes place, when the first RA is received the kernel changes the MTU on my
>> route - this should not happen.

This also happens whenever I change the MTU on eth0 - it will alter the
MTU on routes *I* have added too. While this is valid behaviour for a
new MTU that is too low for the route it is not for an MTU above the route.

Changing the MTU also allows the "next RA with MTU set changes
non-kernel routes too" problem to occur again.

-- 
Simon Arlott